## django-classy-tags 1.0.0

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml pickle json htmlhelp qthelp latex changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  dirhtml   to make HTML files named index.html in directories"
	@echo "  pickle    to make pickle files"
	@echo "  json      to make JSON files"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  qthelp    to make HTML files and a qthelp project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes   to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"
	@echo "  doctest   to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/django-classy-tags.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/django-classy-tags.qhc"

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== tests/requirements.txt ===
# other requirements
tox
coverage

## django-classy-tags 0.3.4.1

=== debian/changelog ===
django-classy-tags (0.3.4.1-1) unstable; urgency=low

  * Initial release (Closes: #660672)

 -- Ondřej Surý <ondrej@debian.org>  Mon, 20 Feb 2012 21:25:21 +0100

=== debian/control ===
Source: django-classy-tags
Section: python
Priority: optional
Maintainer: Ondřej Surý <ondrej@debian.org>
Build-Depends: debhelper (>= 7.0.50~), python-support (>= 0.90), python (>= 2.5), python-setuptools
Standards-Version: 3.9.2
Homepage: https://github.com/ojii/django-classy-tags
Vcs-Git: git://git.debian.org/collab-maint/django-classy-tags.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/django-classy-tags.git;a=summary

Package: python-django-classy-tags
Architecture: any
Depends: ${misc:Depends}, python-support (>= 0.90), python-django
Description: Class based template tags for Django projects
 django-classy-tags is an approach at making writing template tags in
 Django easier, shorter and more fun by providing an extensible
 argument parser which reduces most of the boiler plate code you
 usually have to write when coding custom template tags.
 .
 django-classy-tags does no magic by design. Thus you will not get
 automatic registering/loading of your tags like other solutions
 provide. You will not get automatic argument guessing from function
 signatures but rather you have to declare what arguments your tag
 accepts. There is also no magic in your template tag class either,
 it’s just a subclass of django.template.Node which invokes a parser
 class to parse the arguments when it’s initialized and resolves those
 arguments into keyword arguments in it’s render method and calls it’s
 render_tag method with those keyword arguments.

## django-classy-tags 0.7.1

=== debian/changelog ===
django-classy-tags (0.7.1-1) unstable; urgency=low

  * New upstream release.
  * Use https in Vcs-Git field.

 -- Michael Fladischer <fladi@debian.org>  Fri, 29 Jan 2016 13:18:00 +0100

django-classy-tags (0.7.0-1) unstable; urgency=low

  [ Michael Fladischer ]
  * New upstream release.

  [ SVN-Git Migration ]
  * git-dpm config
  * Update Vcs fields for git migration

 -- Michael Fladischer <fladi@debian.org>  Sat, 19 Dec 2015 21:20:36 +0100

django-classy-tags (0.6.2-1) unstable; urgency=low

  * New upstream release.

 -- Michael Fladischer <fladi@debian.org>  Sun, 14 Jun 2015 20:15:49 +0200

django-classy-tags (0.6.0-1) unstable; urgency=medium

  * New upstream release.
  * Drop django-1.7.patch as compatibility was fixed by upstream.
  * Bump Standards-Version to 3.9.6.
  * Install upstream changelog and drop lintian-overrides accordingly.
  * Change my email address to fladi@debian.org.

 -- Michael Fladischer <fladi@debian.org>  Mon, 18 May 2015 14:07:08 +0200

django-classy-tags (0.5.1-4) unstable; urgency=low

  * Switch buildsystem to pybuild.
  * Add dh-python to Build-Depends.

 -- Michael Fladischer <FladischerMichael@fladi.at>  Thu, 28 Aug 2014 21:51:07 +0200

django-classy-tags (0.5.1-3) unstable; urgency=medium

  * Add django-1.7.patch to make tests run with Django-1.7 (Closes: #755595).
  * Add Python3 support.
  * Fix grammar mistakes in package description (Closes: #688340).

 -- Michael Fladischer <FladischerMichael@fladi.at>  Thu, 21 Aug 2014 14:21:52 +0200

django-classy-tags (0.5.1-2) unstable; urgency=low

  * Change architecture to "all" as there are no architecture dependent parts
    in the binary package.
  * Add intersphinx.patch to disable objects.inv downloads for shpinx.

 -- Michael Fladischer <FladischerMichael@fladi.at>  Fri, 25 Apr 2014 10:40:32 +0200

django-classy-tags (0.5.1-1) unstable; urgency=low

  * New upstream release.
  * Take over maintainership for DPMT and add myself as uploader, Thanks to
    Ondřej Surý for his work on this package.
  * Switch to dh_python2.
  * Change VCS-* fields to reflect moving the repository to subversion.
  * Remove debian/gbp.conf as DPMT uses subversion.
  * Bump Standards-Version to 3.9.5.
  * Bump debhelper version to 9.
  * Bump minimum Python version to 2.6.
  * Build documentation using sphinx and ship it in a spearate package.
  * Add ${python:Depends} to python-django-classy-tags binary package
    (Closes: #676401).
  * Make Depends on python-django versioned with (> 1.5).
  * Convert debian/copyright to copyright format 1.0.
  * Add myself in debian/copyright.
  * Run tests during build.
    + Add python-django (>= 1.5) to Build-Depends.
  * Clean up files in django_classy_tags.egg-info/ to allow two or more builds
    in a row.
  * Add debian/watch file.
  * Add lintian override for missing PGP signature on upstream tarball.
  * Add lintian overrides for missing upstream changelog.

 -- Michael Fladischer <FladischerMichael@fladi.at>  Thu, 17 Apr 2014 12:53:16 +0200

=== debian/control ===
Source: django-classy-tags
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Michael Fladischer <fladi@debian.org>,
           Ondřej Surý <ondrej@debian.org>
Build-Depends: debhelper (>= 9),
               dh-python,
               python-all,
               python-django (>= 1.5),
               python-setuptools,
               python-sphinx (>= 1.0.7+dfsg),
               python3-all,
               python3-django,
               python3-setuptools
Standards-Version: 3.9.6
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.0
Homepage: https://github.com/ojii/django-classy-tags
Vcs-Git: https://anonscm.debian.org/python-modules/packages/django-classy-tags.git
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/django-classy-tags.git

Package: python-django-classy-tags
Architecture: all
Depends: python-django (>= 1.5),
         ${misc:Depends},
         ${python:Depends}
Suggests: python-django-classy-tags-doc
Description: Class based template tags for Django projects
 django-classy-tags is an approach at making writing template tags in
 Django easier, shorter and more fun. It provides an extensible
 argument parser which reduces most of the boiler plate code you
 usually have to write when coding custom template tags.
 .
 django-classy-tags does no magic by design. Thus you will not get
 automatic registering/loading of your tags like other solutions
 provide. You will not get automatic argument guessing from function
 signatures but rather you have to declare what arguments your tag
 accepts. There is no magic in your template tag class either,
 it’s just a subclass of django.template.Node which invokes a parser
 class to parse the arguments when it’s initialized and resolves those
 arguments into keyword arguments in it’s render method and calls its
 render_tag method with those keyword arguments.

Package: python3-django-classy-tags
Architecture: all
Depends: python3-django,
         ${misc:Depends},
         ${python3:Depends}
Suggests: python-django-classy-tags-doc
Description: Class based template tags for Django projects (Python3 version)
 django-classy-tags is an approach at making writing template tags in
 Django easier, shorter and more fun. It provides an extensible
 argument parser which reduces most of the boiler plate code you
 usually have to write when coding custom template tags.
 .
 django-classy-tags does no magic by design. Thus you will not get
 automatic registering/loading of your tags like other solutions
 provide. You will not get automatic argument guessing from function
 signatures but rather you have to declare what arguments your tag
 accepts. There is no magic in your template tag class either,
 it’s just a subclass of django.template.Node which invokes a parser
 class to parse the arguments when it’s initialized and resolves those
 arguments into keyword arguments in it’s render method and calls its
 render_tag method with those keyword arguments.
 .
 This package contains the Python 3 version of the library.

Package: python-django-classy-tags-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: Class based template tags for Django projects (Documentation)
 django-classy-tags is an approach at making writing template tags in
 Django easier, shorter and more fun. It provides an extensible
 argument parser which reduces most of the boiler plate code you
 usually have to write when coding custom template tags.
 .
 django-classy-tags does no magic by design. Thus you will not get
 automatic registering/loading of your tags like other solutions
 provide. You will not get automatic argument guessing from function
 signatures but rather you have to declare what arguments your tag
 accepts. There is no magic in your template tag class either,
 it’s just a subclass of django.template.Node which invokes a parser
 class to parse the arguments when it’s initialized and resolves those
 arguments into keyword arguments in it’s render method and calls its
 render_tag method with those keyword arguments.
 .
 This package contains the documentation.

## django-classy-tags 0.8.0

=== debian/changelog ===
django-classy-tags (0.8.0-1) unstable; urgency=low

  * New upstream release.
  * Remove 0002-django-1.10-define_TEMPLATES.patch, fixed by upstream.
  * Use https:// for copyright-format 1.0 URL.

 -- Michael Fladischer <fladi@debian.org>  Thu, 01 Sep 2016 09:38:36 +0200

django-classy-tags (0.7.2-3) unstable; urgency=medium

  * Added myself as uploader.
  * Removed obsolete python version restriction X-Python{3,}-Version:.
  * Added patch to fix Django 1.10 FTBFS (Closes: #828644):
    - 0002-django-1.10-define_TEMPLATES.patch

 -- Thomas Goirand <zigo@debian.org>  Tue, 02 Aug 2016 10:08:09 +0000

django-classy-tags (0.7.2-2) unstable; urgency=low

  [ Ondřej Nový ]
  * Fixed VCS URL

  [ Michael Fladischer ]
  * Bump Standards-Version to 3.9.8.
  * Switch to python3-sphinx and drop versioned Build-Depends.

 -- Michael Fladischer <fladi@debian.org>  Fri, 20 May 2016 11:39:39 +0200

django-classy-tags (0.7.2-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards-Version to 3.9.7.

 -- Michael Fladischer <fladi@debian.org>  Wed, 02 Mar 2016 18:27:48 +0100

=== debian/control ===
--- 
+++ 
@@ -3,29 +3,28 @@
 Priority: optional
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Michael Fladischer <fladi@debian.org>,
-           Ondřej Surý <ondrej@debian.org>
+           Ondřej Surý <ondrej@debian.org>,
+           Thomas Goirand <zigo@debian.org>,
 Build-Depends: debhelper (>= 9),
                dh-python,
                python-all,
                python-django (>= 1.5),
                python-setuptools,
-               python-sphinx (>= 1.0.7+dfsg),
                python3-all,
                python3-django,
-               python3-setuptools
-Standards-Version: 3.9.6
-X-Python-Version: >= 2.6
-X-Python3-Version: >= 3.0
+               python3-setuptools,
+               python3-sphinx,
+Standards-Version: 3.9.8
 Homepage: https://github.com/ojii/django-classy-tags
-Vcs-Git: https://anonscm.debian.org/python-modules/packages/django-classy-tags.git
+Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/django-classy-tags.git
 Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/django-classy-tags.git
 
 Package: python-django-classy-tags
 Architecture: all
 Depends: python-django (>= 1.5),
          ${misc:Depends},
-         ${python:Depends}
-Suggests: python-django-classy-tags-doc
+         ${python:Depends},
+Suggests: python-django-classy-tags-doc,
 Description: Class based template tags for Django projects
  django-classy-tags is an approach at making writing template tags in
  Django easier, shorter and more fun. It provides an extensible
@@ -46,8 +45,8 @@
 Architecture: all
 Depends: python3-django,
          ${misc:Depends},
-         ${python3:Depends}
-Suggests: python-django-classy-tags-doc
+         ${python3:Depends},
+Suggests: python-django-classy-tags-doc,
 Description: Class based template tags for Django projects (Python3 version)
  django-classy-tags is an approach at making writing template tags in
  Django easier, shorter and more fun. It provides an extensible
@@ -69,7 +68,8 @@
 Package: python-django-classy-tags-doc
 Section: doc
 Architecture: all
-Depends: ${misc:Depends}, ${sphinxdoc:Depends}
+Depends: ${misc:Depends},
+         ${sphinxdoc:Depends},
 Description: Class based template tags for Django projects (Documentation)
  django-classy-tags is an approach at making writing template tags in
  Django easier, shorter and more fun. It provides an extensible

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_NAME=django-classy-tags

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. sphinx-build -b html -d docs/_build/.doctrees -N docs docs/_build/html

override_dh_clean:
	rm -rf docs/_build
	dh_clean

override_dh_installchangelogs:
	dh_installchangelogs -- docs/changes.rst

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/([\d\.]+)\.tar\.gz/django-classy-tags-$1.tar.gz/ \
https://github.com/ojii/django-classy-tags/releases \
/ojii/django-classy-tags/archive/([\d\.]+)\.tar\.gz

## django-classy-tags 1.0.0

=== debian/changelog ===
django-classy-tags (1.0.0-2) unstable; urgency=low

  * Tell autodep8 to use the correct import name (Closes: #948746).
  * Bump Standards-Version to 4.5.0.

 -- Michael Fladischer <fladi@debian.org>  Sun, 16 Feb 2020 11:13:01 +0100

django-classy-tags (1.0.0-1) unstable; urgency=low

  * New upstream release.
  * Refresh patches.
  * Remove lintian override for missing GPG signature check on source
    tarball to serve as a reminder to improve on this.

 -- Michael Fladischer <fladi@debian.org>  Thu, 23 Jan 2020 14:20:20 +0100

django-classy-tags (0.9.0-1) unstable; urgency=low

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

  [ Michael Fladischer ]
  * New upstream release.
  * Add debian/gbp.conf.
  * Fix d/watch to use new upstream repo.
  * Refresh patches.
  * Run wrap-and-sort -bast to reduce diff size of future changes.
  * Set Rules-Requires-Root: no.
  * Enable autopkgtest-pkg-python testsuite.

 -- Michael Fladischer <fladi@debian.org>  Mon, 30 Dec 2019 10:43:58 +0100

django-classy-tags (0.8.0-2) unstable; urgency=medium

  * Team upload.
  * d/control: Set Vcs-* to salsa.debian.org
  * Convert git repository from git-dpm to gbp layout
  * Use 'python3 -m sphinx' instead of sphinx-build for building docs
  * Use debhelper-compat instead of debian/compat.
  * Drop Python 2 support.
  * Bump debhelper compat level to 12.
  * Bump standards version to 4.4.0 (no changes).

 -- Ondřej Nový <onovy@debian.org>  Fri, 09 Aug 2019 07:59:54 +0200

=== debian/control ===
Source: django-classy-tags
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders:
 Michael Fladischer <fladi@debian.org>,
 Ondřej Surý <ondrej@debian.org>,
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 12),
 dh-python,
 python3-all,
 python3-django,
 python3-setuptools,
 python3-sphinx,
Standards-Version: 4.5.0
Homepage: https://github.com/ojii/django-classy-tags
Vcs-Git: https://salsa.debian.org/python-team/modules/django-classy-tags.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/django-classy-tags
Rules-Requires-Root: no
Testsuite: autopkgtest-pkg-python

Package: python-django-classy-tags-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: Class based template tags for Django projects (Documentation)
 django-classy-tags is an approach at making writing template tags in
 Django easier, shorter and more fun. It provides an extensible
 argument parser which reduces most of the boiler plate code you
 usually have to write when coding custom template tags.
 .
 django-classy-tags does no magic by design. Thus you will not get
 automatic registering/loading of your tags like other solutions
 provide. You will not get automatic argument guessing from function
 signatures but rather you have to declare what arguments your tag
 accepts. There is no magic in your template tag class either,
 it’s just a subclass of django.template.Node which invokes a parser
 class to parse the arguments when it’s initialized and resolves those
 arguments into keyword arguments in it’s render method and calls its
 render_tag method with those keyword arguments.
 .
 This package contains the documentation.

Package: python3-django-classy-tags
Architecture: all
Depends:
 python3-django,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-django-classy-tags-doc,
Description: Class based template tags for Django projects (Python3 version)
 django-classy-tags is an approach at making writing template tags in
 Django easier, shorter and more fun. It provides an extensible
 argument parser which reduces most of the boiler plate code you
 usually have to write when coding custom template tags.
 .
 django-classy-tags does no magic by design. Thus you will not get
 automatic registering/loading of your tags like other solutions
 provide. You will not get automatic argument guessing from function
 signatures but rather you have to declare what arguments your tag
 accepts. There is no magic in your template tag class either,
 it’s just a subclass of django.template.Node which invokes a parser
 class to parse the arguments when it’s initialized and resolves those
 arguments into keyword arguments in it’s render method and calls its
 render_tag method with those keyword arguments.
 .
 This package contains the Python 3 version of the library.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_NAME=django-classy-tags

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. python3 -m sphinx -b html -d docs/_build/.doctrees -N docs docs/_build/html

override_dh_clean:
	rm -rf docs/_build
	dh_clean

override_dh_installchangelogs:
	dh_installchangelogs -- docs/changes.rst

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/([\d\.]+)\.tar\.gz/django-classy-tags-$1.tar.gz/ \
https://github.com/divio/django-classy-tags/releases \
/divio/django-classy-tags/archive/([\d\.]+)\.tar\.gz

## django-classy-tags 3.0.0

=== requirements.txt ===
#
# This file is autogenerated by pip-compile with python 3.9
# To update, run:
#
#    pip-compile
#
--trusted-host pypi.python.org
--trusted-host pypi.org
--trusted-host files.pythonhosted.org

asgiref==3.4.1
    # via django
bump2version==1.0.1
    # via -r requirements.in
cfgv==3.3.1
    # via pre-commit
click==8.0.3
    # via pip-tools
distlib==0.3.4
    # via virtualenv
django==4.0.1
    # via -r requirements.in
filelock==3.4.2
    # via virtualenv
identify==2.4.4
    # via pre-commit
nodeenv==1.6.0
    # via pre-commit
pep517==0.12.0
    # via pip-tools
pip-tools==6.4.0
    # via -r requirements.in
platformdirs==2.4.1
    # via virtualenv
pre-commit==2.17.0
    # via -r requirements.in
pyyaml==6.0
    # via pre-commit
six==1.16.0
    # via virtualenv
sqlparse==0.4.2
    # via django
toml==0.10.2
    # via pre-commit
tomli==2.0.0
    # via pep517
virtualenv==20.13.0
    # via pre-commit
wheel==0.37.1
    # via
    #   -r requirements.in
    #   pip-tools

# The following packages are considered to be unsafe in a requirements file:
# pip
# setuptools

=== debian/changelog ===
django-classy-tags (3.0.0-1) unstable; urgency=low

  * New upstream release.
  * Refresh patches.
  * Depend on python3-all for autopkgtests.
  * Update year in d/copyright.

 -- Michael Fladischer <fladi@debian.org>  Wed, 26 Jan 2022 15:32:29 +0000

django-classy-tags (2.0.0-2) unstable; urgency=low

  * Update d/watch to work with github again.
  * Bump Standards-Version to 4.6.0.1.

 -- Michael Fladischer <fladi@debian.org>  Thu, 28 Oct 2021 15:36:41 +0000

django-classy-tags (2.0.0-1) unstable; urgency=low

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Michael Fladischer ]
  * New upstream release.
  * Update d/watch to work with github again.
  * Refresh patches.
  * Bump Standards-Version to 4.6.0.
  * Bump debhelper version to 13.
  * Use uscan version 4.
  * Add d/upstream/metadata.
  * Enable upstream testsuite for autopkgtests.
  * Remove unnecessary autopkgtest-pkg-python testsuite.

 -- Michael Fladischer <fladi@debian.org>  Mon, 30 Aug 2021 21:33:30 +0000

=== debian/control ===
--- 
+++ 
@@ -1,24 +1,23 @@
 Source: django-classy-tags
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
  Michael Fladischer <fladi@debian.org>,
  Ondřej Surý <ondrej@debian.org>,
  Thomas Goirand <zigo@debian.org>,
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-python,
  python3-all,
  python3-django,
  python3-setuptools,
  python3-sphinx,
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0.1
 Homepage: https://github.com/ojii/django-classy-tags
-Vcs-Git: https://salsa.debian.org/python-team/modules/django-classy-tags.git
-Vcs-Browser: https://salsa.debian.org/python-team/modules/django-classy-tags
+Vcs-Git: https://salsa.debian.org/python-team/packages/django-classy-tags.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/django-classy-tags
 Rules-Requires-Root: no
-Testsuite: autopkgtest-pkg-python
 
 Package: python-django-classy-tags-doc
 Section: doc

## django-classy-tags 4.0.0

=== requirements.txt ===
#
# This file is autogenerated by pip-compile with python 3.9
# To update, run:
#
#    pip-compile
#
asgiref==3.5.2
    # via django
build==0.8.0
    # via pip-tools
bump2version==1.0.1
    # via -r requirements.in
cfgv==3.3.1
    # via pre-commit
click==8.1.3
    # via pip-tools
distlib==0.3.6
    # via virtualenv
django==4.1.2
    # via -r requirements.in
filelock==3.8.0
    # via virtualenv
identify==2.5.5
    # via pre-commit
nodeenv==1.7.0
    # via pre-commit
packaging==21.3
    # via build
pep517==0.13.0
    # via build
pip-tools==6.8.0
    # via -r requirements.in
platformdirs==2.5.2
    # via virtualenv
pre-commit==2.20.0
    # via -r requirements.in
pyparsing==3.0.9
    # via packaging
pyyaml==6.0
    # via pre-commit
sqlparse==0.4.3
    # via django
toml==0.10.2
    # via pre-commit
virtualenv==20.16.5
    # via pre-commit
wheel==0.37.1
    # via
    #   -r requirements.in
    #   pip-tools

# The following packages are considered to be unsafe in a requirements file:
# pip
# setuptools

=== docs/Makefile ===
--- 
+++ 
@@ -6,6 +6,8 @@
 SPHINXBUILD   = sphinx-build
 PAPER         =
 BUILDDIR      = _build
+VENV = env/bin/activate
+PORT = 8001
 
 # Internal variables.
 PAPEROPT_a4     = -D latex_paper_size=a4
@@ -30,34 +32,49 @@
 clean:
 	-rm -rf $(BUILDDIR)/*
 
+install:
+	@echo "... setting up virtualenv"
+	python3 -m venv env
+	. $(VENV); pip install -r requirements.txt
+
+	@echo "\n" \
+	      "-------------------------------------------------------------------------------------------------- \n" \
+		    "* watch, build and serve the documentation: make run \n" \
+		    "* check spelling: make spelling \n" \
+		    "\n" \
+				"enchant must be installed in order for pyenchant (and therefore spelling checks) to work. See \n" \
+				"http://docs.django-cms.org/en/latest/contributing/documentation.html#install-the-spelling-software \n" \
+	      "-------------------------------------------------------------------------------------------------- \n" \
+
+
 html:
-	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
+	. $(VENV); $(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
 	@echo
 	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."
 
 dirhtml:
-	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
+	. $(VENV); $(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
 	@echo
 	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."
 
 pickle:
-	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
+	. $(VENV); $(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
 	@echo
 	@echo "Build finished; now you can process the pickle files."
 
 json:
-	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
+	. $(VENV); $(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
 	@echo
 	@echo "Build finished; now you can process the JSON files."
 
 htmlhelp:
-	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
+	. $(VENV); $(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
 	@echo
 	@echo "Build finished; now you can run HTML Help Workshop with the" \
 	      ".hhp project file in $(BUILDDIR)/htmlhelp."
 
 qthelp:
-	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
+	. $(VENV); $(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
 	@echo
 	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
 	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
@@ -66,24 +83,27 @@
 	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/django-classy-tags.qhc"
 
 latex:
-	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
+	. $(VENV); $(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
 	@echo
 	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
 	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
 	      "run these through (pdf)latex."
 
 changes:
-	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
+	. $(VENV); $(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
 	@echo
 	@echo "The overview file is in $(BUILDDIR)/changes."
 
 linkcheck:
-	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
+	. $(VENV); $(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
 	@echo
 	@echo "Link check complete; look for any errors in the above output " \
 	      "or in $(BUILDDIR)/linkcheck/output.txt."
 
 doctest:
-	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
+	. $(VENV); $(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
 	@echo "Testing of doctests in the sources finished, look at the " \
 	      "results in $(BUILDDIR)/doctest/output.txt."
+
+run:
+	. $(VENV); sphinx-autobuild $(ALLSPHINXOPTS) build/html --host 0.0.0.0 --port $(PORT)

=== docs/requirements.txt ===
#
# This file is autogenerated by pip-compile with python 3.9
# To update, run:
#
#    pip-compile
#
--trusted-host pypi.python.org
--trusted-host pypi.org
--trusted-host files.pythonhosted.org

alabaster==0.7.12
    # via sphinx
babel==2.9.1
    # via sphinx
beautifulsoup4==4.10.0
    # via furo
certifi==2021.10.8
    # via requests
charset-normalizer==2.0.10
    # via requests
click==8.0.3
    # via pip-tools
colorama==0.4.4
    # via sphinx-autobuild
datetime==4.3
    # via -r requirements.in
docutils==0.17.1
    # via sphinx
furo==2022.1.2
    # via -r requirements.in
idna==3.3
    # via requests
imagesize==1.3.0
    # via sphinx
importlib-metadata==4.10.1
    # via sphinx
jinja2==3.0.3
    # via sphinx
livereload==2.6.3
    # via sphinx-autobuild
markupsafe==2.0.1
    # via
    #   -r requirements.in
    #   jinja2
packaging==21.3
    # via sphinx
pep517==0.12.0
    # via pip-tools
pip-tools==6.4.0
    # via -r requirements.in
pyenchant==3.2.2
    # via
    #   -r requirements.in
    #   sphinxcontrib-spelling
pygments==2.11.2
    # via
    #   -r requirements.in
    #   furo
    #   sphinx
pyparsing==3.0.7
    # via packaging
pytz==2021.3
    # via
    #   babel
    #   datetime
requests==2.27.1
    # via sphinx
six==1.16.0
    # via livereload
snowballstemmer==2.2.0
    # via sphinx
soupsieve==2.3.1
    # via beautifulsoup4
sphinx==4.4.0
    # via
    #   -r requirements.in
    #   furo
    #   sphinx-autobuild
    #   sphinxcontrib-spelling
sphinx-autobuild==2021.3.14
    # via -r requirements.in
sphinxcontrib-applehelp==1.0.2
    # via sphinx
sphinxcontrib-devhelp==1.0.2
    # via sphinx
sphinxcontrib-htmlhelp==2.0.0
    # via sphinx
sphinxcontrib-jsmath==1.0.1
    # via sphinx
sphinxcontrib-qthelp==1.0.3
    # via sphinx
sphinxcontrib-serializinghtml==1.1.5
    # via sphinx
sphinxcontrib-spelling==7.3.2
    # via -r requirements.in
tomli==2.0.0
    # via pep517
tornado==6.1
    # via livereload
urllib3==1.26.8
    # via requests
wheel==0.37.1
    # via pip-tools
zipp==3.7.0
    # via importlib-metadata
zope.interface==5.4.0
    # via datetime

# The following packages are considered to be unsafe in a requirements file:
# pip
# setuptools

=== debian/changelog ===
django-classy-tags (4.0.0-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards-Version to 4.6.1.0.
  * Update d/copyright with new years.
  * Refresh patches.

 -- Michael Fladischer <fladi@debian.org>  Wed, 04 Jan 2023 22:56:25 +0000

django-classy-tags (3.0.1-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Apply multi-arch hints. + python-django-classy-tags-doc: Add Multi-Arch: foreign.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Fri, 14 Oct 2022 12:42:17 +0100

django-classy-tags (3.0.1-1) unstable; urgency=low

  * New upstream release.
  * Update patch to use local objects.inv in intersphinx mapping.

 -- Michael Fladischer <fladi@debian.org>  Tue, 15 Mar 2022 14:23:42 +0000

=== debian/control ===
--- 
+++ 
@@ -9,11 +9,12 @@
 Build-Depends:
  debhelper-compat (= 13),
  dh-python,
+ python-django-doc,
  python3-all,
  python3-django,
  python3-setuptools,
  python3-sphinx,
-Standards-Version: 4.6.0.1
+Standards-Version: 4.6.1.0
 Homepage: https://github.com/ojii/django-classy-tags
 Vcs-Git: https://salsa.debian.org/python-team/packages/django-classy-tags.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/django-classy-tags
@@ -25,6 +26,7 @@
 Depends:
  ${misc:Depends},
  ${sphinxdoc:Depends},
+Multi-Arch: foreign
 Description: Class based template tags for Django projects (Documentation)
  django-classy-tags is an approach at making writing template tags in
  Django easier, shorter and more fun. It provides an extensible

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/([\d\.]+)\.tar\.gz/django-classy-tags-$1.tar.gz/ \
https://github.com/django-cms/django-classy-tags/tags \
/django-cms/django-classy-tags/archive/refs/tags/([\d\.]+)\.tar\.gz

## django-classy-tags 4.1.0

=== requirements.txt ===
--- 
+++ 
@@ -16,7 +16,7 @@
     # via pip-tools
 distlib==0.3.6
     # via virtualenv
-django==4.1.2
+django==4.1.10
     # via -r requirements.in
 filelock==3.8.0
     # via virtualenv
@@ -44,7 +44,7 @@
     # via pre-commit
 virtualenv==20.16.5
     # via pre-commit
-wheel==0.37.1
+wheel==0.38.1
     # via
     #   -r requirements.in
     #   pip-tools

=== docs/requirements.txt ===
#
# This file is autogenerated by pip-compile with python 3.9
# To update, run:
#
#    pip-compile
#
alabaster==0.7.12
    # via sphinx
babel==2.9.1
    # via sphinx
beautifulsoup4==4.10.0
    # via furo
certifi==2022.12.7
    # via requests
charset-normalizer==2.0.10
    # via requests
click==8.0.3
    # via pip-tools
colorama==0.4.4
    # via sphinx-autobuild
datetime==4.3
    # via -r docs/requirements.in
docutils==0.17.1
    # via sphinx
furo==2022.1.2
    # via -r docs/requirements.in
idna==3.3
    # via requests
imagesize==1.3.0
    # via sphinx
jinja2==3.0.3
    # via sphinx
livereload==2.6.3
    # via sphinx-autobuild
markupsafe==2.0.1
    # via
    #   -r docs/requirements.in
    #   jinja2
packaging==21.3
    # via sphinx
pep517==0.12.0
    # via pip-tools
pip-tools==6.4.0
    # via -r docs/requirements.in
pyenchant==3.2.2
    # via
    #   -r docs/requirements.in
    #   sphinxcontrib-spelling
pygments==2.11.2
    # via
    #   -r docs/requirements.in
    #   furo
    #   sphinx
pyparsing==3.0.7
    # via packaging
pytz==2021.3
    # via
    #   babel
    #   datetime
requests==2.27.1
    # via sphinx
six==1.16.0
    # via livereload
snowballstemmer==2.2.0
    # via sphinx
soupsieve==2.3.1
    # via beautifulsoup4
sphinx==4.4.0
    # via
    #   -r docs/requirements.in
    #   furo
    #   sphinx-autobuild
    #   sphinxcontrib-spelling
sphinx-autobuild==2021.3.14
    # via -r docs/requirements.in
sphinxcontrib-applehelp==1.0.2
    # via sphinx
sphinxcontrib-devhelp==1.0.2
    # via sphinx
sphinxcontrib-htmlhelp==2.0.0
    # via sphinx
sphinxcontrib-jsmath==1.0.1
    # via sphinx
sphinxcontrib-qthelp==1.0.3
    # via sphinx
sphinxcontrib-serializinghtml==1.1.5
    # via sphinx
sphinxcontrib-spelling==7.3.2
    # via -r docs/requirements.in
tomli==2.0.0
    # via pep517
tornado==6.1
    # via livereload
urllib3==1.26.8
    # via requests
wheel==0.38.1
    # via pip-tools
zope-interface==5.4.0
    # via datetime

# The following packages are considered to be unsafe in a requirements file:
# pip
# setuptools

=== debian/changelog ===
django-classy-tags (4.1.0-2) unstable; urgency=low

  * Use uscan version 5 GitHub template.
  * Use dh-sequence-python3.
  * Add dh-sequence-sphinxdoc.
  * Bump Standards-Version to 4.7.3.
  * Update project homepage URL.
  * Drop Rules-Requires-Root.
  * Update year in d/copyright.
  * Switch Testsuite to autopkgtest-pkg-pybuild.
  * Place tox.ini at correct location using pybuild.testfiles.
  * Drop field Priority: optional.

 -- Michael Fladischer <fladi@debian.org>  Mon, 02 Mar 2026 19:35:43 +0000

django-classy-tags (4.1.0-1) unstable; urgency=medium

  * New upstream version 4.1.0
  * Bump Standards-Version to 4.6.2.
  * Build using pybuild-plugin-pyproject.
  * Switch to python3-pytest and python3-pytest-django to run tests.

 -- Michael Fladischer <fladi@debian.org>  Fri, 04 Aug 2023 17:57:00 +0000

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: django-classy-tags
 Section: python
-Priority: optional
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
  Michael Fladischer <fladi@debian.org>,
@@ -8,17 +7,21 @@
  Thomas Goirand <zigo@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
- dh-python,
+ dh-sequence-python3,
+ dh-sequence-sphinxdoc,
+ pybuild-plugin-pyproject,
  python-django-doc,
  python3-all,
  python3-django,
+ python3-pytest,
+ python3-pytest-django,
  python3-setuptools,
  python3-sphinx,
-Standards-Version: 4.6.1.0
-Homepage: https://github.com/ojii/django-classy-tags
+Standards-Version: 4.7.3
+Homepage: https://github.com/django-cms/django-classy-tags
 Vcs-Git: https://salsa.debian.org/python-team/packages/django-classy-tags.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/django-classy-tags
-Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-pybuild
 
 Package: python-django-classy-tags-doc
 Section: doc

=== debian/watch ===
Version: 5
Template: GitHub
Owner: django-cms
Project: django-classy-tags
